
From: Philipp Matthias Hahn <pmhahn@titan.lahn.de>

Integrate saa7146_i2c adapter into device model:
Moves entries from /sys/device/platform to /sys/device/pci*.

Signed-off-by: Philipp Hahn <pmhahn@titan.lahn.de>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/common/saa7146_i2c.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/media/common/saa7146_i2c.c~dvb-saa7146-i2c-vs-sysfs-fix drivers/media/common/saa7146_i2c.c
--- devel/drivers/media/common/saa7146_i2c.c~dvb-saa7146-i2c-vs-sysfs-fix	2005-09-04 16:52:29.000000000 -0700
+++ devel-akpm/drivers/media/common/saa7146_i2c.c	2005-09-04 16:52:29.000000000 -0700
@@ -403,6 +403,7 @@ int saa7146_i2c_adapter_prepare(struct s
 	if( NULL != i2c_adapter ) {
 		BUG_ON(!i2c_adapter->class);
 		i2c_set_adapdata(i2c_adapter,dev);
+		i2c_adapter->dev.parent    = &dev->pci->dev;
 		i2c_adapter->algo	   = &saa7146_algo;
 		i2c_adapter->algo_data     = NULL;
 		i2c_adapter->id		   = I2C_HW_SAA7146;
_
